package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemIntImpQueryWarehouseBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjjWarehouse

/**
 * 国际进港查询详情-仓库信息ViewHolder
 */
class IntImpQueryWarehouseViewHolder(view: View) :
    BaseViewHolder<GjjWarehouse, ItemIntImpQueryWarehouseBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean
        binding.position = position
        binding.executePendingBindings()
    }
}
